/************************************************************************/
/* This ARexx EXEC will convert a GIF file into SHAM format. It is      */
/* designed to run under PowerPlatform.                                 */
/*                                                                      */
/*                                            ==> MCW 06/05/90 <==      */
/*                                                                      */
/*                   Copyright  1990 Martin C. Warnett.                */
/************************************************************************/

trace off

parse arg fname                             /* Get file name            */

if fname = '' then do                       /* No file name specified?  */
    'Message Invalid file name specified'   /* Display error message    */
    'Beep'
    return 0
end

gif_ftp = lastpos(".", fname)               /* Find file type position  */
gif_fnp = lastpos("/", fname)               /* Find file name position  */

if gif_fnp = 0 then do                       /* No path?                */
    gif_fnp = lastpos(":", fname)            /* Find end of disk name   */
end
                                            /* Get filename             */
gif_name = substr(fname, gif_fnp+1, gif_ftp-gif_fnp-1)
gif_type = substr(fname, gif_ftp + 1)       /* Get filetype             */
gif_type = upper(gif_type)                  /* Filetype to UPPERCASE    */

if gif_type ~= "GIF" then do                /* Invalid filename/type?   */
    'message Invalid file type'             /* Msg in ARdu title bar    */
    return 8                                /* Return with error        */
end

address command 'GIFtoTMP' fname gif_name
final_rc = rc
address command 'SuperCon' gif_name
final_rc = final_rc + rc
address command 'delete' gif_name
address command 'rename FROM' gif_name || '.sham TO' gif_name || '.SHAM'
final_rc = final_rc + rc

if final_rc > 0 then do
    say
    say 'GIF to SHAM conversion failed.'
    pull trash
end

return 0                                    /* Successful completion    */

