/************************************************************************/
/* This EXEC contains the Graphics function group definitions.          */
/*                                                                      */
/*                                              ==> MCW 09/03/90 <==    */
/*                                                                      */
/*                   Copyright  1990 Martin C. Warnett.                */
/************************************************************************/

trace off

parse arg PortName                          /* Get port name passed     */

if PortName ~= "" then do                   /* Was port name passed?    */
    address VALUE PortName                  /* Make it the default port */
end

/************************************************************************/
/* This first statement will change the current PowerPlatform source    */
/* directory. The idea is to change to a directory that contains your   */
/* graphics files so that you can access them faster, you don't have    */
/* to manually select the directory.                                    */
/*                                                                      */
/* Change the following statement to reference the appropriate          */
/* directory on your system or delete it if you prefer.                 */
/************************************************************************/

'CDSource DH0:MyGraphicsDir'

'ClearFunctions'                            /* Delete existing buttons  */

/************************************************************************/
/* The following function definitions are examples only. You should     */
/* edit them to run on your system. You can use what ever IFF viewer    */
/* you prefer etc.                                                      */
/************************************************************************/

'DefineFunction 1 TagAll TagAll'            /* Select all files         */
'DefineFunction 2 Reset Reset'              /* Deselect all files       */
'DefineFunction Run CDSource 3 Shell NewShell NEWCON:0/50/640/100/AmigaShell'
'DefineFunction Sleep TargetRefresh 5 Copy copy FROM &sf TO &tf COM'
'DefineFunction Sleep TargetRefresh 6 CopyAll copy FROM &sf TO &tf COM ALL'
'DefineFunction Sleep Confirm SourceRefresh 7 Erase delete &sf'
'DefineFunction Sleep Confirm SourceRefresh 8 EraseAll delete &sf ALL'
'DefineFunction Sleep SourceRefresh TargetRefresh 9 Rename rename FROM &sf TO &tf'
'DefineFunction Run 10 More more &sf'

'DefineFunction SourceRefresh CDSource ARexx Console=2 13 GIF-IFF GIFtoIFF &sf'
'DefineFunction SourceRefresh CDSource ARexx Console=2 14 GIF-Sham GIFtoSHAM &sf'
'DefineFunction 17 IFFView SuperView3.0 &sf'
'DefineFunction 18 GIFView HamGIF &sa'
'DefineFunction 19 SHAMView SuperSHAM &sf'
'DefineFunction NoQuote 20 MacView MacView -h -f &SF'
'DefineFunction 21 RLEView ShowRLE &sf'
'DefineFunction CDSource NoQuote 29 Do &sf'
'DefineFunction CDSource 30 Run Run &sf'
'DefineFunction CDSource 31 Execute Execute &sf'

'RedrawFunctions'                           /* Draw new function buttons*/

return 0                                    /* Successful completion    */
