/************************************************************************/
/* This is the sample Profile for PowerPlatform Release 1.0.            */
/*                                                                      */
/*                                              ==> MCW 08/19/90 <==    */
/*                                                                      */
/*                   Copyright  1990 Martin C. Warnett.                */
/************************************************************************/

trace off

'Options WorkBench'                         /* Open on WorkBench        */
'Options Bytes'                             /* Display file size        */

'DefineDevice HardDisk 1 SYS:'              /* Define devices           */
'DefineDevice HardDisk 2 DH0:'
'DefineDevice FloppyDisk 3 DF0:'
'DefineDevice RAMDisk 4 RAD:'
'DefineDevice RAMDisk 5 RAM:'
'DefineDevice HardDisk 6 NET:'              /* ParNet device            */
'DefineDevice FloppyDisk 7 MSH:'            /* MessyDOS device          */

'CDSource RAM:'                             /* Set active directories   */
'CDTarget RAM:'

'DefineConsole 1 CON:0/50/640/100/Console1'
'DefineConsole 2 CON:0/25/640/150/Console2'
'DefineConsole 3 CON:40/20/640/430/Console3'

/************************************************************************/
/* This next section will define the "Functions" menu. The Items on the */
/* functions menu can be used to change the function button definitions.*/
/* For example when you select the Graphics item, the EXEC              */
/* GraphicsFunctions.APP will be executed. This EXEC redefines the      */
/* function buttons for graphics orientated functions. Refer to the     */
/* GraphicsFunctions.APP EXEC to see how this is done.                  */
/************************************************************************/

'DefineMenu Functions'
'DefineItem ARexx Main MainFunctions'
'DefineItem ARexx Graphics GraphicsFunctions'
'DefineItem ARexx Communications CommFunctions'

'DefineMenu Utilities'                      /* Define Utilities menu    */
'DefineItem WB Calculator SYS:Tools/Calculator'
'DefineItem WB MeMacs SYS:Tools/MeMacs'
'DefineItem WB Clock SYS:Utilities/Clock'
'DefineItem WB Say SYS:Utilities/Say'

'DefineMenu Applications'                   /* Define Applications menu */
'DefineItem WB DeluxePaint DH0:DPIII/DPaint'
'DefineItem KEY=P WB ProWrite HardDisk:WordProcessing/ProWrite/ProWrite'

'DefineMenu Games'                          /* Define Games menu        */
'DefineItem KEY=S WB Streets HardDisk:Games/Streets+Alleys'
'DefineItem WB BattleChess HardDisk:Games/BattleChess'
'DefineItem WB Montana HardDisk:Games/Montana'
'DefineItem KEY=T WB Tetrix HardDisk:Games/Tetrix'

'DefineExt CLI Run CDSource ToWB C DME &sf' /* Associate .C with DME    */
'DefineExt CLI Run CDSource ToWB H DME &sf' /* Associate .H with DME    */
'DefineExt ARexx rexx &sf'                  /* Associate .REXX with do  */
'DefineExt ARexx APP &sf'                   /* Associate .APP with do   */

/************************************************************************/
/* Rather than define all the functions buttons in this profile, I have */
/* defined them in a separate file called MainFunctions.APP. The        */
/* reason for doing this is so that you can easily change the function  */
/* Button definitions.                                                  */
/*                                                                      */
/* The following code first determines the PowerPlatform ARexx port     */
/* name. If you never run PowerPlatform more than once, you can         */
/* hard code the port name as APP1. The port name is passed to          */
/* mainFunctions.APP so that it knows where to send the powerPlatform   */
/* commands. Because MainFunctions.APP is a separate EXEC, it does not  */
/* default to the PowerPlatform Port.                                   */
/************************************************************************/

options results                             /* Request result string    */
'QueryPort'                                 /* Get PwrPlatform port name*/
address command 'rx MainFunctions.APP' RESULT

return 0                                    /* That's all folks!        */                            /* Successful completion        */

